CSIN(3)

NAME
csin, csinf, csinl - complex circular sine

SYNOPSIS
libm
#include <complex.h>
double complex
csin(double complex z);
float complex
csinf(float complex z);
long double complex
csinl(long double complex z);

DESCRIPTION
The csin(), csinf() and csinl() functions compute the complex circular sine of z.

If z = x + iy, then

    csin(z) = sin(x) cosh(y) + i cos(x) sinh(y).

RETURN VALUES
The csin(), csinf() and csinl() functions return the complex circular sine of z.

SEE ALSO
ccos(3), ctan(3)

STANDARDS
The csin(), csinf() and csinl() functions conform to isoC-99.